All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services
Class ServicePermission

    com.sas.services.ServicePermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class ServicePermission

A permission to act upon a SAS foundation service. A permission is constructed with a target name of a secured permission. The following table lists supported target names and a brief description of each.

Permission Target Name | What the Permission Allows
--- | ---
destroy | destroys the service

Since:
  9.2.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PERMISSION_DESTROY` Name of the permission required to destroy a service.

Constructor Summary
`ServicePermission(java.lang.String targetName)` Creates a new ServicePermission with the specified name.

Field Detail

### PERMISSION_DESTROY

    public static final java.lang.String PERMISSION_DESTROY

  Name of the permission required to destroy a service.

  See Also:
    Constant Field Values

Constructor Detail

### ServicePermission

    public ServicePermission(java.lang.String targetName)

  Creates a new ServicePermission with the specified name. The name is the symbolic name of the ServicePermission, such as "destroy", etc.

  Parameters:
    `targetName` - the name of the ServicePermission such as "destroy".

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.